%define name gnus
%define version 5.8.8
%define release 3mdk

%define infodir %_infodir/packages/%{name}
%define _install_info()	%{__install_info} %{infodir}/%{1}%{_extension} --dir=%{infodir}/dir\;
%define _remove_install_info() if [ "$1" = "0" ]; then %{__install_info} %{infodir}/%{1}%{_extension} --dir=%{infodir}/dir --remove ; fi %{nil}

%{expand:%%define emacs_version %(rpm -q emacs|sed 's/emacs-\([0-9].*\)-.*$/\1/')}
%{expand:%%define xemacs_version %(rpm -q xemacs|sed 's/xemacs-\([0-9].*\)-.*$/\1/')}

Summary: Gnus Newsreader for Emacs
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://www.gnus.com/dist/gnus.tar.bz2
Source1: gnus-emacs.el
Source2: gnus-xemacs.el
URL: http://www.gnus.org/
Copyright: GPL
Group: Networking/News
Packager: Pixel <pixel@mandrakesoft.com>
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildArchitectures: noarch
BuildRequires: emacs xemacs

%description
You can read news (and mail) from within Emacs by using Gnus. The news can be
gotten by any nefarious means you can think of -- NNTP, local spool or your
mbox file. All at the same time, if you want to push your luck.

%package doc
Summary: Gnus Newsreader for XEmacs
Copyright: GPL
Group: Networking/News

%description doc
You can read news (and mail) from within Emacs by using Gnus. The news can be
gotten by any nefarious means you can think of -- NNTP, local spool or your
mbox file. All at the same time, if you want to push your luck.

This package is the documentation info files for GNUS version %{version}.

%package emacs
Summary: Gnus Newsreader for Emacs
Copyright: GPL
Group: Networking/News
Requires: emacs = %{emacs_version}
Obsoletes: gnus
Provides: gnus

%description emacs
You can read news (and mail) from within Emacs by using Gnus. The news can be
gotten by any nefarious means you can think of -- NNTP, local spool or your
mbox file. All at the same time, if you want to push your luck.

This version is compiled for GNU/Emacs %{emacs_version}

#%package xemacs
#Summary: Gnus Newsreader for XEmacs
#Copyright: GPL
#Group: Networking/News
#Requires: xemacs = %{xemacs_version}
#
#%description xemacs
#You can read news (and mail) from within Emacs by using Gnus. The news can be
#gotten by any nefarious means you can think of -- NNTP, local spool or your
#mbox file. All at the same time, if you want to push your luck.
#
#This version is compiled for XEmacs %{xemacs_version}

%prep
%setup -q

%build
# We don't build it since even in the %install gnus want always to do it.

install -d BUILD
mv [a-z]* Makefile* BUILD

for i in emacs xemacs; do
  cp -a BUILD $i-build
  (cd $i-build ; EMACS=/usr/bin/$i %configure --with-lispdir=%{_datadir}/$i/site-lisp/%{name})
done

%install
rm -rf $RPM_BUILD_ROOT

for i in emacs xemacs; do
  make -C $i-build install infodir=%buildroot%{infodir} lispdir=%buildroot%{_datadir}/$i/site-lisp/%{name} EMACS=/usr/bin/$i
done

install -d %buildroot%{_sysconfdir}/emacs/site-start.d
cat << EOF > %buildroot%{_sysconfdir}/emacs/site-start.d/%{name}-emacs.el
%{expand:%(%__cat %{SOURCE1})}
EOF
cat << EOF > %buildroot%{_sysconfdir}/emacs/site-start.d/%{name}-xemacs.el
%{expand:%(%__cat %{SOURCE2})}
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post doc 
%_install_info %{name}

%_install_info message

%_install_info emacs-mime

%preun doc
%_remove_install_info %{name}

%_remove_install_info message

%_remove_install_info emacs-mime

%files doc
%defattr(-,root,root)
%{infodir}/*

%files emacs
%defattr(-,root,root)
%doc GNUS-NEWS README
%{_datadir}/emacs/site-lisp/%{name}
%config(noreplace) %{_sysconfdir}/emacs/site-start.d/%{name}-emacs*

#%files xemacs
#%defattr(-,root,root)
#%doc GNUS-NEWS README
#%{_datadir}/xemacs/site-lisp/%{name}
#%config(noreplace) %{_sysconfdir}/emacs/site-start.d/%{name}-xemacs*

%changelog
* Thu Sep  6 2001 Pixel <pixel@mandrakesoft.com> 5.8.8-3mdk
- add Provides
- rebuild

* Thu Mar  8 2001 Pixel <pixel@mandrakesoft.com> 5.8.8-2mdk
- rebuild, removing xemacs-gnus

* Sat Jan  6 2001 Pixel <pixel@mandrakesoft.com> 5.8.8-1mdk
- fix chmouel's split (strange, he didn't use brute force? he shouldn't, he's not used to it ;p)
- cleanup and fix
- new version

* Tue Jan  2 2001 Pixel <pixel@mandrakesoft.com> 5.8.7-5mdk
- remove ugly require xemacs in gnus-doc (chmousux)

* Tue Nov 14 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 5.8.7-4mdk
- Move info files to %infodir and add to lisp path in the .el files.

* Tue Nov 14 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 5.8.7-3mdk
- Fix %preun.
- Split in different pacakge -emacs -xemacs and -doc, -emacs obsoletes
  now gnus-.

* Tue Nov  7 2000 Pixel <pixel@mandrakesoft.com> 5.8.7-2mdk
- add packager tag

* Thu Aug 24 2000 Pixel <pixel@mandrakesoft.com> 5.8.7-1mdk
- first version
